#
# The Qubes OS Project, http://www.qubes-os.org
#
# Copyright (C) 2011  Marek Marczykowski <marmarek@invisiblethingslab.com>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
#
#



%define extdir %{_libdir}/mozilla/extensions/{3550f703-e582-4d05-9a08-453d09bdfdc6}/qubes-attachment@qubes-os.org

Name:		thunderbird-qubes
Version:	2.0.8
Release:	1%{dist}
Summary:	The Qubes extension for Thunderbird
BuildArch:	noarch
Group:		Qubes
Vendor:		Invisible Things Lab
License:	GPL
URL:		http://www.qubes-os.org

BuildRequires:	make
Requires:	thunderbird >= 68.0

Source0: %{name}-%{version}.tar.gz

%description
The Qubes email attachments actions for Thunderbird.

%prep
%setup -q

%build
make manifest.json

%install
rm -rf $RPM_BUILD_ROOT
make install-vm DESTDIR=$RPM_BUILD_ROOT EXTDIR=%{extdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%dir %{extdir}
%{extdir}/chrome.manifest
%{extdir}/manifest.json
%{extdir}/chrome/locale/en-US/qubesattachment.dtd
%{extdir}/chrome/content/options.xul
%{extdir}/chrome/content/preferences.js
%{extdir}/chrome/content/qubesattachment.js
%{extdir}/chrome/content/messenger.xul
%{extdir}/chrome/skin/qubesattachment.css
%{extdir}/defaults/preferences/prefs.js

%changelog
* Sun Dec 04 2022 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-app-thunderbird.git

* Sun Dec 04 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - eb56a0d
- version 2.0.8

* Sun Dec 04 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 0796043
- debian: fix version in Replaces/Breaks headers

* Sat Dec 03 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e25a9ee
- version 2.0.7

* Fri Jul 15 2022 unman <unman@thirdeyesecurity.org> - 156f56d
- Rename Debian packages for consistency

* Mon May 09 2022 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - a0d2836
- .qubesbuilder: replace 'spec' by 'build'

* Mon Apr 18 2022 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 24a0cb0
- Add Qubes Builder v2 integration

* Fri Apr 15 2022 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 79211c8
- Drop Travis CI

* Sun May 09 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 73e8699
- version 2.0.6

* Sat May 08 2021 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - e795e9c
- spec: add BR make

* Sun Nov 15 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 449e19f
- Add .gitlab-ci.yml

* Fri Aug 07 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 96d344d
- Update travis

* Wed Jun 24 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - af63e24
- version 2.0.5

* Sun Jun 21 2020 MSathieu <18145111+MSathieu@users.noreply.github.com> - 32538fe
- Replace path separators in attachment names

* Sat Apr 04 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 7337e9d
- version 2.0.4

* Thu Apr 02 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - f4e6a2c
- Re-enable build for CentOS 8

* Mon Jan 13 2020 Foppe <foppejan2@gmail.com> - ea120e3
- Update .travis.yml: fc31 dom0, bionic, repo 4.1

* Mon Dec 02 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - cb2fe45
- version 2.0.3

* Mon Dec 02 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - c06aa1e
- travis: update Fedora versions

* Mon Dec 02 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 0cf11d6
- Re-enable build for Debian

* Mon Dec 02 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 347ac65
- Install files as non-executable, break long lines in Makefile

* Sat Oct 19 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 1ebbe28
- travis: switch to bionic

* Thu Oct 17 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 03948a5
- Disable CentOS package build

* Sat Oct 05 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 2cd04f9
- version 2.0.2

* Sat Oct 05 2019 M. Vefa Bicakci <m.v.b@runbox.com> - 1b0f8eb
- Make sure that preferences.js is packaged

* Sat Oct 05 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 9180bf7
- version 2.0.1

* Sun Sep 29 2019 M. Vefa Bicakci <m.v.b@runbox.com> - 44a7aa5
- Fix preference window for Thunderbird 68

* Sat Sep 28 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - c396d5f
- version 2.0.0

* Sat Sep 28 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b949ea6
- travis: switch to xenial, drop R3.2

* Sat Sep 28 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 594f8a0
- Disable Debian package build

* Sat Sep 28 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 7a914a2
- debian: bump requirements to TB 68+

* Tue Sep 24 2019 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - c073f05
- Changes needed for the plugin to work in Thunderbird 68

* Thu Mar 21 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - bcf7245
- version 1.2.13

* Tue Feb 05 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 09cb8bd
- debian: drop autotools from debian/rules

* Sat Oct 13 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1bbe96f
- debian: replace deprecated dh_clean --keep with dh_prep

* Sat Oct 13 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 3031ecd
- travis: update Fedora and Debian versions

* Sat Oct 13 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4c4e7a5
- debian: don't create orig.tar.gz manually, simplify packaging

* Thu Aug 09 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 389d5f7
- version 1.2.12

* Wed Aug 08 2018 M. Vefa Bicakci <m.v.b@runbox.com> - 282befa
- Make compatible with Thunderbird 60

* Sun Jul 15 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b0a4cc3
- version 1.2.11

* Sun May 20 2018 M. Vefa Bicakci <m.v.b@runbox.com> - 08d4803
- Open attachments in DispVMs from message windows

* Thu May 03 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 8688a3b
- version 1.2.10

* Thu Apr 05 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - fd0dfd1
- travis: update distributions

* Thu Apr 05 2018 Frédéric Pierret <frederic.epitre@orange.fr> - 998943a
- spec.in: change to 'noarch' package

* Thu Apr 05 2018 Frédéric Pierret <frederic.epitre@orange.fr> - 3f0be4b
- spec.in: add changelog placeholder

* Thu Apr 05 2018 Frédéric Pierret <frederic.epitre@orange.fr> - 0bf9762
- Create .spec.in and Source0

* Sat Jun 10 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - f50b1ff
- version 1.2.9

* Tue Jan 10 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - edb412c
- travis: drop debootstrap workaround

* Thu Jun 02 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 937c32a
- travis: initial version

* Mon Feb 22 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 827593d
- version 1.2.8

* Mon Feb 22 2016 Lambono <lambono80@gmail.com> - b773cc9
- Fix UTF-8 in attachment file names

